> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Get Tax Code

GET https://rest.avatax.com/api/v2/companies/{companyId}/taxcodes/{id}

> **Access control:** this endpoint is available to users with the `everyone` role.

Get the taxcode object identified by this URL.
A 'TaxCode' represents a uniquely identified type of product, good, or service.
Avalara supports correct tax rates and taxability rules for all TaxCodes in all supported jurisdictions.
If you identify your products by tax code in your 'Create Transaction' API calls, Avalara will correctly calculate tax rates and
taxability rules for this product in all supported jurisdictions.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.


Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/get-tax-code

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `companyId` (integer, required) — The ID of the company that owns this tax code
- `id` (integer, required) — The primary key of this tax code

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `taxCode` (string, required) — A code string that identifies this tax code.
- `taxCodeTypeId` (string, required) — The type of this tax code.
- `id` (integer, optional) — The unique ID number of this tax code.
- `companyId` (integer, optional) — The unique ID number of the company that owns this tax code.
- `description` (string, optional) — A friendly description of this tax code.
- `parentTaxCode` (string, optional) — If this tax code is a subset of a different tax code, this identifies the parent code.
- `isPhysical` (boolean, optional) — True if this tax code type refers to a physical object. Read only field.
- `goodsServiceCode` (long, optional) — The Avalara Goods and Service Code represented by this tax code.
- `entityUseCode` (string, optional) — The Avalara Entity Use Code represented by this tax code.
- `isActive` (boolean, optional) — True if this tax code is active and can be used in transactions.
- `isSSTCertified` (boolean, optional) — True if this tax code has been certified by the Streamlined Sales Tax governing board. By default, you should leave this value empty.
- `createdDate` (datetime, optional) — The date when this record was created.
- `createdUserId` (integer, optional) — The User ID of the user who created this record.
- `modifiedDate` (datetime, optional) — The date/time when this record was last modified.
- `modifiedUserId` (integer, optional) — The user ID of the user who last modified this record.

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not Found

- `any`

## Examples

**Response**

```json
{
  "taxCode": "PS081282",
  "taxCodeTypeId": "P",
  "id": 56789,
  "companyId": 12345,
  "description": "Yarn",
  "parentTaxCode": "PS080100",
  "isPhysical": true,
  "goodsServiceCode": 0,
  "entityUseCode": "",
  "isActive": true,
  "isSSTCertified": false
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/companies/1/taxcodes/1"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/companies/1/taxcodes/1';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/companies/1/taxcodes/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/companies/1/taxcodes/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/companies/1/taxcodes/1")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/companies/1/taxcodes/1', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/companies/1/taxcodes/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/companies/1/taxcodes/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```